Subject: RE: revised IDs

From: [email-masked]
Date: Mon, 17 Mar 2003 12:17:55 +0200

I feel that all the three documents are already in good condition. Since I am not able to participate the San Francisco face-to-face meeting I´m giving here some comments to the latest version of technology-rights -draft. I will take this opportunity also to contribute to the rechartering issue.
My view is that we should now try to close this work and get the documents to Last Call and into use. If the WG sees some more issues that fit under the current charter we can do them (like the Disclosure templates and better ways of archiving) but I don´t like idea of rechartering. I think it is best and safest to keep the clarified policy we have. I feel that the current policy is the best suitable policy at the moment for organization like IETF. It is and has been working well, is flexible, gives opportunity to take the total cost of the technology into account and we don´t have any better, tested policies around. 

About the latest technology draft. First some small spelling errors. I put the words I think are useless into brackets. 
-The last lines of section 2.2.1 A:
"The contributor does not represent that he or she personally knows of all potentially pertinent intellectual property rights owned or claimed by [the] his or her employer (if any) or by third parties."

-The last sentence of Section 10:
"Section 3.3.3 of this document should be taken to cover the case where there
   are multiple implementations and [but] none of the implementers have
   felt that they needed to license the technology and they have [are] no
   indications that any IPR claimant(s) will try to enforce their claims."

Then some more substantial comments.

Section 4 is otherwise good but in some cases it may be conflicting with section 11. This is because the Section 11 refers to Section 4:
"11.  Mention of IPR claims in IETF documents
   Submissions to the IETF where there are known IPR claims must include
   the appropriate text from section 4 above."

However the section 4 says that:
"The following notices will be added by the RFC Editor to all
   standards track RFCs and to all other RFCs for which an IPR claim or
   disclosure has been received."

After reading these two sections it´s not clear for me if the notice of section 4 should be put also to Internet-Drafts. I think that originally the intent was to have this notice also in Drafts but is it now needed? 

About Section 8. I think that this relates more to the topics the Guidelines document is dealing with. Thus this section is not necessarily needed here. But as Scott B. said only if the Guidelines document will also be BCP.

Janne Vesterinen

> -----Original Message-----
> From: ext Scott Bradner [mailto:[email-masked]]
> Sent: 16 March, 2003 23:47
> To: [email-masked]; [email-masked]
> Subject: Re: revised IDs
> 
> 
> > In technology,
> > 
> > > IPR claims can: come at any point in the IETF process 
> e.g. before the
> > 
> > spurious ":".
> > 
> > comma before "e.g." would feel better.
> 
> this was the way the suggestion was punctuated
> 
> > > submitting the contribution. If the contribution is an 
> Internet-Draft
> > 
> > Ewwww.  Hyphen in "internet draft"?
> 
> matter of style - could go with or without
> 
> > > implement, use, distribute and exercise other rights with respect
> > > to Implementing Technology under one of the licensing options
> > 
> > The old one said "with respect to an Implementing 
> Technology".  It still
> > says "an" Implementing Technology down in 6.5.  Is this intentional?
> 
> I think its better without the "an" - in that its not limmited to one
> 
> > > IPR disclosures are made by following the instructions at
> > > http://www.ietf.org/ipr- instructions.
> > 
> > hyphen error, probably from nroff
> 
> ack
> 
> > 
> > > Except for third party disclosures (which are encouraged 
> under section
> > > 6.1.3), disclosures are required whenever the IPR in 
> question is owned
> > > or licensed, directly or indirectly, by the individual or his/her
> > > employer or sponsor (if any) or such persons otherwise 
> have the right
> > > to license or enforce, and a license under any claims of
> > 
> > I think the "except for" clause in the first sentence is 
> unnecessary.
> > The situation you're describing is not third party by 
> definition, so the
> > exception for third party is irrelevant.
> 
> I agree its not needed but I think its useful to reenforce 
> the encouragement
> 
> > 6.7, call for IPR disclosures, has been removed?
> > 
> > > 8. Evaluating alternative technologies in IETF working groups
> > >
> > >    SHOULD THIS BE REMOVED IN LIGHT OF THE GUIDELINES DOCUMENT?
> > 
> > I think so.  If there's something missing in the guidelines 
> doc, we can
> > toss it in.  It is dependent on yours, so that's a natural 
> process.  
> 
> mostly agree - but it depends on what the status of the guidelines doc
> will have - if BCP then yes, but if not I think this needs to be a BCP
> doc
> 
> Scott
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipr-wg
> 
_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg